# BrianASTRenderer class

(Shortest import: `from brian2.parsing.bast import BrianASTRenderer)`

class brian2.parsing.bast.BrianASTRenderer(variables, copy_variables=True)

  Bases: `object`

  This class is modelled after `NodeRenderer` - see there for details.

  Methods

  `render_BinOp`(node) |
  `render_BoolOp`(node) |
  `render_Call`(node) |
  `render_Compare`(node) |
  `render_Constant`(node) |
  `render_Name`(node) |
  `render_NameConstant`(node) |
  `render_Num`(node) |
  `render_UnaryOp`(node) |
  `render_node`(node) |

  Details

  render_BinOp(node)
  render_BoolOp(node)
  render_Call(node)
  render_Compare(node)
  render_Constant(node)
  render_Name(node)
  render_NameConstant(node)
  render_Num(node)
  render_UnaryOp(node)
  render_node(node)